org.mariadb.jdbc.internal.mysql.packet

## Class MySQLGreetingReadPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.mysql.packet.MySQLGreetingReadPacket

    public class MySQLGreetingReadPacket
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MySQLGreetingReadPacket(RawPacket rawPacket)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte` `getProtocolVersion()`
`byte[]` `getSeed()`
`int` `getServerCapabilities()`
`byte` `getServerLanguage()`
`short` `getServerStatus()`
`long` `getServerThreadID()`
`String` `getServerVersion()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MySQLGreetingReadPacket

    public MySQLGreetingReadPacket(RawPacket rawPacket)
                            throws IOException

Throws:
  `IOException`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getServerVersion

    public String getServerVersion()

#### getProtocolVersion

    public byte getProtocolVersion()

#### getServerThreadID

    public long getServerThreadID()

#### getSeed

    public byte[] getSeed()

#### getServerCapabilities

    public int getServerCapabilities()

#### getServerLanguage

    public byte getServerLanguage()

#### getServerStatus

    public short getServerStatus()